<?php
# Licensed to the EDAN LeadGen LLC under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The EDAN LeadGen LLC licenses
# this file to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

#
# Documentation
#
# http://www.smspins.com/pins/api.php
#
require_once( 'libs/SMSPins/APIClient.php');
require_once( 'libs/SMSPins/APIClient/BulkSMS/Client.php');
define('API_ENDPOINT','http://www.smspins.com/pins/apiv2');

$API_KEY  = 'ENTER_YOUR_API_KEY_HERE';

$bulk_sms = new SMSPins\APIClient\BulkSMS\BulkSMSClient($API_KEY,API_ENDPOINT);
print_r($bulk_sms->telephones());
//print_r($bulk_sms->request(1));
//print_r($bulk_sms->status(1));
//print_r($bulk_sms->cancel(1));
//print_r($bulk_sms->smses_by_tid(1));
//print_r($bulk_sms->enable_autocheck(1));
//print_r($bulk_sms->disable_autocheck(1));


$bulk_sms = new SMSPins\APIClient\BulkSMS\NCClient($API_KEY,API_ENDPOINT);
print_r($bulk_sms->requests());
//print_r($bulk_sms->request(1));
//print_r($bulk_sms->status(1));
//print_r($bulk_sms->cancel(1));
